curl --request POST \
--url https://api.depict.ai/v2/search/results \
--header 'Content-Type: application/json' \
--data '
{
"market": "<string>",
"tenant": "<string>",
"cursor": "<string>",
"limit": 125,
"filters": [
{
"field": "<string>",
"meta": {
"min": 123,
"max": 123,
"group_title": "<string>",
"group_expanded": true,
"type": "range",
"unit": "<string>",
"currency": "<string>"
},
"id": "<string>"
}
],
"sort": {
"field": "<string>",
"meta": {
"title": "<string>",
"values": [
"desc",
"asc"
],
"names": [
"<string>"
]
}
},
"session_id": "<string>",
"metadata": {},
"locale": "<string>",
"user_id": "<string>",
"dsid": "<string>",
"query": "<string>"
}
'import requests
url = "https://api.depict.ai/v2/search/results"
payload = {
"market": "<string>",
"tenant": "<string>",
"cursor": "<string>",
"limit": 125,
"filters": [
{
"field": "<string>",
"meta": {
"min": 123,
"max": 123,
"group_title": "<string>",
"group_expanded": True,
"type": "range",
"unit": "<string>",
"currency": "<string>"
},
"id": "<string>"
}
],
"sort": {
"field": "<string>",
"meta": {
"title": "<string>",
"values": ["desc", "asc"],
"names": ["<string>"]
}
},
"session_id": "<string>",
"metadata": {},
"locale": "<string>",
"user_id": "<string>",
"dsid": "<string>",
"query": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
market: '<string>',
tenant: '<string>',
cursor: '<string>',
limit: 125,
filters: [
{
field: '<string>',
meta: {
min: 123,
max: 123,
group_title: '<string>',
group_expanded: true,
type: 'range',
unit: '<string>',
currency: '<string>'
},
id: '<string>'
}
],
sort: {
field: '<string>',
meta: {title: '<string>', values: ['desc', 'asc'], names: ['<string>']}
},
session_id: '<string>',
metadata: {},
locale: '<string>',
user_id: '<string>',
dsid: '<string>',
query: '<string>'
})
};
fetch('https://api.depict.ai/v2/search/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"n_hits": 123,
"search_request_id": "<string>",
"displays": [
{}
],
"sorts": [
{
"field": "<string>",
"order": "asc",
"meta": {
"title": "<string>",
"values": [
"desc",
"asc"
],
"names": [
"<string>"
]
}
}
],
"filters": [
{
"field": "<string>",
"op": "eq",
"data": "true",
"meta": {
"min": 123,
"max": 123,
"group_title": "<string>",
"group_expanded": true,
"type": "range",
"unit": "<string>",
"currency": "<string>"
},
"id": "<string>"
}
],
"cursor": "<string>",
"content_search_links": [
{
"title": "<string>",
"description": "<string>",
"page_url": "<string>",
"type": "content_link",
"image_url": "<string>",
"highlights": [
{
"field": "<string>",
"snippet": "<string>",
"matched_tokens": [
"<string>"
]
}
]
}
],
"debug_info": null
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Get Results
Query Parameters
Body
Used for cursor-based pagination. Set it to the cursor from the last response. If not set, will return the first results.
500Used for cursor-based pagination. Maximum number of results per response.
1 <= x <= 250List of filters to apply to the results.
Show child attributes
Show child attributes
Specifies the sorting method. By default, the results are ordered by relevance. To find the possible values for this field, query the endpoint and look at the sorts field.
Show child attributes
Show child attributes
Session identifier
1Metadata that can be used to modify the behaviour of the search.
Show child attributes
Show child attributes
The locale to use for the search. If not set, the default locale will be used.
User identifier
1Populated for integrations performed by Depict.ai only. Depict.ai Session Id
1The search query.
Response
Successful Response
Total number of results for this query. Not necessarily exact.
The search results.
Available methods for sorting the response. Any element from this list can be sent as sort in subsequent requests.
Show child attributes
Show child attributes
Available filters that can be used for filtering in the subsequent request.
Show child attributes
Show child attributes
Cursor that can be used in the next request to get subsequent results. If this is not set, there are no more results.
500List of links to content pages that match the search query.
Show child attributes
Show child attributes
Was this page helpful?

